<!-- 鼠标移入移出 -->
<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>创建链表-添加元素</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
	<script>
		function LinkedList(){
				//表示要加入链表的项
				let Node=function(element){
					//添加到列表的值
					this.element=element;
					//指向链表中下一个节点项的指针
					this.next=null;
				};
				let length=0;//列表项的数量，length属性为私有变量
				let head=null;//第一个节点的引用
				this.append=function(element){

				};
				this.insert=function(position,element){

				};
				this.removeAt=function(position){

				};
				this.indexOf=function(element){

				};
				this.isEmpty=function(){

				};
				this.size=function(){

				};
				this.getHead=function(){

				};
				this.print=function(){

				};
			};
		this.insert=function(position,element){
			if(position>0&&position<=length){
				let node=new Node(element),
					current=head,
					previous,
					index=0;
					if(position===0){
						node.next=current;
						head=node;
					}else{
						while(index++<position){
							previous=current;
							current=current.next;
						}
						node.next=current;
						previous.next=node;
					}
					length++;
					return true;
			}else{
				return false;
			}
		};
		let list=new LinkedList();
		list.insert(2,4);
  	</script>
 </body>
</html>